Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002407TestLinkGeneralpublic2009-04-20 22:092010-06-05 07:17
Reporterjgodoy 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.9 Beta 4 
Summary0002407: Error when viewing test case specification
DescriptionThe following error is thrown when viewing a test case information.

Fatal error: Call to a member function getDisplayName() on a non-object in C:\xampp\htdocs\testlink_1.8.1_ori\gui\templates_c\%%2E^2E1^2E11686C%%tcView_viewer.tpl.php on line 179
Additional InformationThe error occurs when the record of the user associated with the test case's author_id or updater_id (tcversions table) does not exist in the database.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE7, Firefox 3
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon error getdisplay name.png [^] (27,922 bytes) 2009-04-20 22:09


? file icon %%2E^2E1^2E11686C%%tcView_viewer.tpl.php [^] (16,702 bytes) 2009-04-23 17:32

- Relationships
duplicate of 0002376closedfman Does not displaying test cases if user of that test cases is deleted 
has duplicate 0002504closedfman Test cases cannot be viewed/edited due to programming error 
has duplicate 0001898closedschlundus lien impossible entre track et testlink 
related to 0002716closedmhavlat Can't delete a user 

-  Notes
(0006552)
phiban (reporter)
2009-04-23 17:34

Hi jgodoy,

Please see attached a modded .tpl file which will solve the issue for you.

Thanks,
Phil
(0006646)
phiban (reporter)
2009-04-27 23:12

Hi,

Did this solve your issue?
(0006658)
jgodoy (reporter)
2009-04-28 19:15

Hi,
Sorry for the late reply. I've tried the file attached tpl file but I am still getting the error.
(0006659)
phiban (reporter)
2009-04-28 19:47

mmm...ok I'll check the file again to make sure it was the correct version I uploaded.

I'll get back to you shortly.

Thanks,
Phil
(0006666)
fman (administrator)
2009-04-28 22:43

attached file is not a tpl but tpl compiled => no good to solve nothing
(0006678)
Julian (reporter)
2009-04-29 19:32
edited on: 2009-04-29 21:04

isnt this because user that created or modified the testcase has been deleted ?

//duplicate of 0002376 ?

(0006707)
jgodoy (reporter)
2009-05-01 01:15

Julian,

You are right, it's a duplicate.
(0010231)
fman (administrator)
2010-06-05 07:17

users can not be deleted just disabled

- Issue History
Date Modified Username Field Change
2009-04-20 22:09 jgodoy New Issue
2009-04-20 22:09 jgodoy File Added: error getdisplay name.png
2009-04-20 22:09 jgodoy Browser => IE7, Firefox 3
2009-04-20 22:09 jgodoy PHP Version => 5.2.5
2009-04-21 00:13 schlundus Status new => assigned
2009-04-21 00:13 schlundus Assigned To => schlundus
2009-04-23 17:32 phiban File Added: %%2E^2E1^2E11686C%%tcView_viewer.tpl.php
2009-04-23 17:34 phiban Note Added: 0006552
2009-04-27 23:12 phiban Note Added: 0006646
2009-04-28 19:15 jgodoy Note Added: 0006658
2009-04-28 19:47 phiban Note Added: 0006659
2009-04-28 22:43 fman Note Added: 0006666
2009-04-29 19:32 Julian Note Added: 0006678
2009-04-29 21:04 Julian Note Edited: 0006678
2009-05-01 01:15 jgodoy Note Added: 0006707
2009-05-13 22:50 fman Relationship added has duplicate 0002504
2009-05-13 22:53 fman Relationship added has duplicate 0001898
2009-05-19 00:13 schlundus Assigned To schlundus => fman
2009-05-23 00:44 amitkhullar Relationship added duplicate of 0002376
2009-05-24 10:35 mhavlat Assigned To fman => mhavlat
2009-07-10 13:41 mhavlat Relationship added related to 0002716
2010-02-25 00:44 mhavlat Status assigned => acknowledged
2010-02-28 22:29 mhavlat Assigned To mhavlat =>
2010-06-05 07:17 fman Note Added: 0010231
2010-06-05 07:17 fman Status acknowledged => closed
2010-06-05 07:17 fman Assigned To => fman
2010-06-05 07:17 fman Resolution open => fixed
2010-06-05 07:17 fman Fixed in Version => 1.9 Beta 4



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker